ELF_END(3)

NAME
elf_end - release an ELF descriptor

LIBRARY
libelf

SYNOPSIS
#include <libelf.h>
int
elf_end(Elf *elf);

DESCRIPTION
Function elf_end() is used to release the resources associated with an ELF descriptor pointed to by argument elf. This descriptor must have been allocated by a previous call to elf_begin(3) or elf_memory(3). For programming convenience, a NULL value is permitted for argument elf.

A call to elf_end() decrements the activation count for descriptor elf by one. The resources associated with the descriptor are only released with its activation count goes to zero.

Once function elf_end() returns zero, the ELF descriptor elf will no longer be valid and should not be used further.

RETURN VALUES
Function elf_end() returns the current value of the ELF descriptor elf's activation count, or zero if argument elf was NULL.

SEE ALSO
elf(3), elf_begin(3), elf_memory(3), gelf(3)